Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.servlet.http
Class RequestResponseKey

    java.lang.Object
      weblogic.servlet.http.RequestResponseKey

    public class RequestResponseKey

extends Object

This hold the request and response objects for a HTTP request.

Method Summary
`boolean` | `equals(Object obj)` Check for the equality of objects
`HttpServletRequest` | `getRequest()` Get the request object associated with the HTTP request
`HttpServletResponse` | `getResponse()` Get the response object associated with the HTTP request
`long` | `getTimeout()` Get the timeout value
`int` | `hashCode()` Get the hashcode
`boolean` | `isValid()` Indicates whether this object is valid or not.
`void` | `setTimeout(int timeout)` Set the timeout method in milliseconds

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setTimeout

    public void setTimeout(int timeout)

  Set the timeout method in milliseconds

  Parameters:
    `timeout` - - timeout value in milliseconds

### getTimeout

    public long getTimeout()

  Get the timeout value

  Returns:
    the timeout value in milliseconds

### isValid

    public boolean isValid()

  Indicates whether this object is valid or not. A RequestResponseKey is marked as invalid if a response has been sent.

  Returns:
    true if valid

### getRequest

    public HttpServletRequest getRequest()

  Get the request object associated with the HTTP request

  Returns:
    HttpServletRequest associated with the request

### getResponse

    public HttpServletResponse getResponse()

  Get the response object associated with the HTTP request

  Returns:
    HttpServletResponse associated with the request

### hashCode

    public int hashCode()

  Get the hashcode

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode value

### equals

    public boolean equals(Object obj)

  Check for the equality of objects

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - - the object to compare this object with
  Returns:
    true if both the objects are equals

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD